
/*
 * xa_codecs.h
 *
 * Copyright (C) 1995-1999,2000 by Mark Podlipec.
 * All rights reserved.
 *
 * This software may be freely used, copied and redistributed without
 * fee for non-commerical purposes provided that this copyright
 * notice is preserved intact on all copies.
 *
 * There is no warranty or other guarantee of fitness of this software.
 * It is provided solely "as is". The author disclaims all
 * responsibility and liability with respect to this software's usage
 * or its effect upon hardware or computer systems.
 *
 */

typedef struct
{
  void *anim_hdr;		/* used to add stuff to Free Chain */
  uint32 compression;		/* input/output compression */
  uint32 x,y;			/* input/output x,y */
  uint32 depth;		/* input depth  and cfunc */
  void  *extra;			/* extra for delta */
  uint32 xapi_rev;		/* XAnim API rev */
  uint32 (*decoder)();		/* decoder routine */
  char *description;		/* text string */
  uint32 avi_ctab_flag;	/* AVI ctable to be read */
  uint32 (*avi_read_ext)();	/* routine to read extended data */

} XA_CODEC_HDR;

#define CODEC_SUPPORTED    1
#define CODEC_UNKNOWN      0
#define CODEC_UNSUPPORTED -1

