
/*
 * xa_replay.h
 *
 * Copyright (C) 1995-1999,2000 by Mark Podlipec. 
 * All rights reserved.
 *
 * This software may be freely used, copied and redistributed without
 * fee for non-commerical purposes provided that this copyright
 * notice is preserved intact on all copies.
 * 
 * There is no warranty or other guarantee of fitness of this software.
 * It is provided solely "as is". The author disclaims all
 * responsibility and liability with respect to this software's usage
 * or its effect upon hardware or computer systems.
 *
 */

#include "xanim.h"

typedef struct ARM_FRAME_STRUCT
{
  uint32 time;
  uint32 timelo;
  XA_ACTION *act;
  struct ARM_FRAME_STRUCT *next;
} ARM_FRAME;
 
 
typedef struct
{
  uint32 vid_codec;	/* */
  uint32 width;		/*I            */
  uint32 height;		/*I            */
  uint32 depth;		/*I  16 or 8 */
  uint32 aud_codec;	/*               */
  uint32 aud_freq;	/*F  audio freq HZ */
  uint32 aud_chans;	/*I  audio chans */
  uint32 aud_prec;	/*I  snd precision  linear/unsigned */
  uint32 fp_chunk;	/*I  frames per chunk */	
  uint32 chunk_cnt;	/*I  chunk count */
  uint32 ev_chk_size;	/*I  even chunk size */
  uint32 od_chk_size;	/*I  odd chunk size */
  uint32 idx_offset;	/*I  offset to chunk index */
  uint32 sprite_off;	/*I  offset to helpful sprite??? */
  uint32 sprite_size;	/*I  size of sprite info */
  uint32 key_offset;	/*I  offset to key frames  -1, 0 no keys */
  double fps;		/*F  frames per second */
} ARM_HDR;
 
#define ARM_VIDEO_MOVL_RGB  0
#define ARM_VIDEO_MOVL_YUV  1
#define ARM_VIDEO_MOVB_RGB  2
#define ARM_VIDEO_MOVB_YUV  3
#define ARM_VIDEO_UNK    99

#define ARM_AUDIO_NONE    0
#define ARM_AUDIO_FORM1   1
#define ARM_AUDIO_UNK    99

#define ARM_VIDEO_RGB 0
#define ARM_VIDEO_YUV 1

